﻿
#include <afxwin.h>
#include "..\\..\\TextGridCtrl140\\TextGridCtrl140.h"
#include "resource.h"
#include "TextGridCtrl140TestApp.h"
#include "TextGridCtrl140TestDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
//#undef THIS_FILE
//..static char THIS_FILE[] = __FILE__;
#endif

#define IDC_TEXT_GRID_CTRL 5678

/////////////////////////////////////////////////////////////////////////////
// CTextGridCtrl140TestDlg ダイアログ

CTextGridCtrl140TestDlg::CTextGridCtrl140TestDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CTextGridCtrl140TestDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CTextGridCtrl140TestDlg)
		// メモ: この位置に ClassWizard によってメンバの初期化が追加されます。
	//}}AFX_DATA_INIT
	// メモ: LoadIcon は Win32 の DestroyIcon のサブシーケンスを要求しません。
	m_hIcon = AfxGetApp()->LoadIcon(IDR_MAINFRAME);

	// テキストグリッドコントロールの体裁を初期化
	m_theTextGridCtrl.SetTitleHeight (18);
	m_theTextGridCtrl.SetTitleWidth (64);
	m_theTextGridCtrl.SetNumRows (128);
	m_theTextGridCtrl.SetNumCols (3);
	
	// テキストグリッドコントロールのタイトル部分のサイズと文字列を設定
	int i, j;
	for (i = 0; i < m_theTextGridCtrl.GetNumRows (); i++) {
		m_theTextGridCtrl.SetRowHeight (i, 18);
		CString strTemp;
		strTemp.Format (_T("%d"), i);
		m_theTextGridCtrl.SetRowTitle (i, strTemp);
	}
	for (j = 0; j < m_theTextGridCtrl.GetNumCols (); j++) {
		m_theTextGridCtrl.SetColWidth (j, 64);
	}
	m_theTextGridCtrl.SetColTitle (0, _T("x座標[mm]"));
	m_theTextGridCtrl.SetColTitle (1, _T("y座標[mm]"));
	m_theTextGridCtrl.SetColTitle (2, _T("z座標[mm]"));

}

void CTextGridCtrl140TestDlg::DoDataExchange (CDataExchange* pDX) {
	CDialog::DoDataExchange(pDX);
}

BEGIN_MESSAGE_MAP (CTextGridCtrl140TestDlg, CDialog)
	ON_WM_PAINT ()
	ON_WM_QUERYDRAGICON ()
	ON_WM_CREATE ()
END_MESSAGE_MAP ()

/////////////////////////////////////////////////////////////////////////////
// CTextGridCtrl40TestDlg メッセージ ハンドラ

BOOL CTextGridCtrl140TestDlg::OnInitDialog() {
	CDialog::OnInitDialog();
	
	SetIcon(m_hIcon, TRUE);			// 大きいアイコンを設定
	SetIcon(m_hIcon, FALSE);		// 小さいアイコンを設定
	
	// テキストグリッドコントロールの位置とサイズ調整
	CRect rcStaticDummy;
	CWnd* pStaticDummy = GetDlgItem (IDC_STATIC_DUMMY);
	pStaticDummy->GetWindowRect (&rcStaticDummy);
	this->ScreenToClient (&rcStaticDummy);
	m_theTextGridCtrl.MoveWindow (&rcStaticDummy);
	pStaticDummy->DestroyWindow ();
	return TRUE;
}

// もしダイアログボックスに最小化ボタンを追加するならば、アイコンを描画する
// コードを以下に記述する必要があります。MFC アプリケーションは document/view
// モデルを使っているので、この処理はフレームワークにより自動的に処理されます。

void CTextGridCtrl140TestDlg::OnPaint() {
	if (IsIconic()) {
		CPaintDC dc(this); // 描画用のデバイス コンテキスト
		SendMessage (WM_ICONERASEBKGND, (WPARAM) dc.GetSafeHdc(), 0);
		int cxIcon = GetSystemMetrics(SM_CXICON);
		int cyIcon = GetSystemMetrics(SM_CYICON);
		CRect rect;
		GetClientRect(&rect);
		int x = (rect.Width() - cxIcon + 1) / 2;
		int y = (rect.Height() - cyIcon + 1) / 2;
		dc.DrawIcon(x, y, m_hIcon);
	}
	else {
		CDialog::OnPaint();
	}
}

// システムは、ユーザーが最小化ウィンドウをドラッグしている間、
// カーソルを表示するためにここを呼び出します。
HCURSOR CTextGridCtrl140TestDlg::OnQueryDragIcon () {
	return (HCURSOR) m_hIcon;
}


int CTextGridCtrl140TestDlg::OnCreate (LPCREATESTRUCT lpCreateStruct) {
	if (CDialog::OnCreate (lpCreateStruct) == -1) {
		return -1;
	}
	// テキストグリッドコントロールの作成
	m_theTextGridCtrl.CreateEx (WS_EX_CLIENTEDGE, NULL, _T("TEXTGRIDCTRL"), 
		WS_BORDER | WS_VISIBLE | WS_CHILD | WS_TABSTOP | WS_VSCROLL | WS_HSCROLL,
		10, 10, 300, 300, this->m_hWnd, (HMENU)IDC_TEXT_GRID_CTRL, NULL);
	return 0;
}
